ListAutomatedReasoningPolicies - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListAutomatedReasoningPolicies

Lists all Automated Reasoning policies in your account, with optional filtering by policy ARN. This helps you manage and discover existing policies.

Request Syntax

GET /automated-reasoning-policies?maxResults=maxResults&nextToken=nextToken&policyArn=policyArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of policies to return in a single call.

Valid Range: Minimum value of 1. Maximum value of 1000.

nextToken

The pagination token from a previous request to retrieve the next page of results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

policyArn

Optional filter to list only the policy versions with the specified Amazon Resource Name (ARN). If not provided, the DRAFT versions for all policies are listed.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:automated-reasoning-policy/[a-z0-9]{12}(:([1-9][0-9]{0,11}))?

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "automatedReasoningPolicySummaries": [ { "createdAt": "string", "description": "string", "name": "string", "policyArn": "string", "policyId": "string", "updatedAt": "string", "version": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

automatedReasoningPolicySummaries

A list of Automated Reasoning policy summaries.

Type: Array of AutomatedReasoningPolicySummary objects

Array Members: Minimum number of 0 items. Maximum number of 1000 items.

nextToken

The pagination token to use in a subsequent request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: